Require composite_primary_keys 4.1.1 for rails 3.1.1 support